Page MenuHomeFreeBSD

libalias: Restructure - Separate fully qualified search
ClosedPublic

Authored by donner on May 31 2021, 2:15 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jun 28, 6:21 PM
Unknown Object (File)
Tue, Jun 25, 1:11 AM
Unknown Object (File)
Jun 3 2024, 10:31 AM
Unknown Object (File)
Jun 3 2024, 10:27 AM
Unknown Object (File)
May 25 2024, 6:28 AM
Unknown Object (File)
May 22 2024, 8:26 AM
Unknown Object (File)
May 22 2024, 1:16 AM
Unknown Object (File)
May 21 2024, 10:11 PM

Details

Summary

Search fully specified links first. Some performance loss due to need to revisit the db twice if not found.

Depends on D30568

Test Plan

Run testsuite

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 39586
Build 36475: arc lint + arc unit

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Jun 19 2021, 5:21 PM
This revision was automatically updated to reflect the committed changes.